#pragma once

#include <C2/lm/vector2.h>
#include <C2/lm/vector3.h>

#include <vector>

#include "../GLUtility/GlVBO.h"

#include "VertAttrOption.h"


class ShaderInterface;



class GeometryVBO
{
public:
	GeometryVBO(void);
	void Release(void);

	void DrawVBOAll(GLenum primiType, ShaderInterface* shader, const VertAttrOption& attr);

public:
	GlVBO m_Vertex;
	GlVBO m_VCol;
	GlVBO m_Normal;
	GlVBO m_Tangents;
	GlVBO m_Texture;
	GlVBO m_Index;

	size_t NumTriangles;
};
